Bug 1973378 - libksysguard-5.22.1-1.fc34.x86_64 conflicts with ksysguard-backend < 5.21.90 provided by ksysguard-backend-5.21.5-1.fc34.x86_64
Summary: libksysguard-5.22.1-1.fc34.x86_64 conflicts with ksysguard-backend < 5.21.90 ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksysguard
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-17 17:31 UTC by Matt Fagnani
Modified: 2021-06-23 01:07 UTC (History)
2 users (show)

Fixed In Version: ksysguard-5.22.0-4.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-23 01:07:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Matt Fagnani 2021-06-17 17:31:17 UTC
Description of problem:

I downloaded the Plasma 5.21.1 and KF 5.83.0 update with bodhi updates download --updateid=FEDORA-2021-dcc1ce9423 in a Fedora 34 KDE Plasma installation to test whether it fixed the dnf errors with Plasma 5.22.1 due to its KF >= 5.83.0 requirement https://bugzilla.redhat.com/show_bug.cgi?id=1972982

dnf reported an error that libksysguard-5.22.1-1.fc34.x86_64 conflicts with ksysguard-backend < 5.21.90 provided by ksysguard-backend-5.21.5-1.fc34.x86_64.

Problem: problem with installed package ksysguard-backend-5.21.5-1.fc34.x86_64
  - package libksysguard-5.22.1-1.fc34.x86_64 conflicts with ksysguard-backend < 5.21.90 provided by ksysguard-backend-5.21.5-1.fc34.x86_64
  - cannot install the best update candidate for package libksysguard-5.21.5-1.fc34.x86_64
======================================================================================================
 Package                              Architecture  Version                 Repository           Size
======================================================================================================
Upgrading:
 bluedevil                            x86_64        5.22.1-1.fc34           @commandline        342 k
 breeze-cursor-theme                  noarch        5.22.1-1.fc34           @commandline        326 k
 breeze-gtk-common                    noarch        5.22.1-1.fc34           @commandline        243 k
 breeze-gtk-gtk2                      noarch        5.22.1-1.fc34           @commandline         19 k
 breeze-gtk-gtk3                      noarch        5.22.1-1.fc34           @commandline         56 k
 breeze-gtk-gtk4                      noarch        5.22.1-1.fc34           @commandline         55 k
 breeze-icon-theme                    noarch        5.83.0-1.fc34           @commandline        3.8 M
 kactivitymanagerd                    x86_64        5.22.1-1.fc34           @commandline        261 k
 kde-gtk-config                       x86_64        5.22.1-1.fc34           @commandline         99 k
 kdecoration                          x86_64        5.22.1-1.fc34           @commandline         85 k
 kdeplasma-addons                     x86_64        5.22.1-1.fc34           @commandline        1.2 M
 kf5-attica                           x86_64        5.83.0-1.fc34           @commandline        171 k
 kf5-baloo                            x86_64        5.83.0-1.fc34           @commandline        232 k
 kf5-baloo-file                       x86_64        5.83.0-1.fc34           @commandline        125 k
 kf5-baloo-libs                       x86_64        5.83.0-1.fc34           @commandline        226 k
 kf5-bluez-qt                         x86_64        5.83.0-1.fc34           @commandline        211 k
 kf5-filesystem                       x86_64        5.83.0-1.fc34           @commandline         12 k
 kf5-frameworkintegration             x86_64        5.83.0-1.fc34           @commandline        1.6 M
 kf5-frameworkintegration-libs        x86_64        5.83.0-1.fc34           @commandline         30 k
 kf5-kactivities                      x86_64        5.83.0-1.fc34           @commandline        136 k
 kf5-kactivities-stats                x86_64        5.83.0-1.fc34           @commandline        105 k
 kf5-karchive                         x86_64        5.83.0-1.fc34           @commandline        105 k
 kf5-kauth                            x86_64        5.83.0-1.fc34           @commandline        126 k
 kf5-kbookmarks                       x86_64        5.83.0-1.fc34           @commandline        163 k
 kf5-kcalendarcore                    x86_64        1:5.83.0-1.fc34         @commandline        278 k
 kf5-kcmutils                         x86_64        5.83.0-1.fc34           @commandline        217 k
 kf5-kcodecs                          x86_64        5.83.0-1.fc34           @commandline        173 k
 kf5-kcompletion                      x86_64        5.83.0-1.fc34           @commandline        133 k
 kf5-kconfig-core                     x86_64        5.83.0-1.fc34           @commandline        309 k
 kf5-kconfig-gui                      x86_64        5.83.0-1.fc34           @commandline         50 k
 kf5-kconfigwidgets                   x86_64        5.83.0-1.fc34           @commandline        426 k
 kf5-kcontacts                        x86_64        1:5.83.0-1.fc34         @commandline        475 k
 kf5-kcoreaddons                      x86_64        5.83.0-1.fc34           @commandline        424 k
 kf5-kcrash                           x86_64        5.83.0-1.fc34           @commandline         37 k
 kf5-kdav                             x86_64        1:5.83.0-1.fc34         @commandline        109 k
 kf5-kdbusaddons                      x86_64        5.83.0-1.fc34           @commandline         75 k
 kf5-kdeclarative                     x86_64        5.83.0-1.fc34           @commandline        310 k
 kf5-kded                             x86_64        5.83.0-1.fc34           @commandline         77 k
 kf5-kdelibs4support                  x86_64        5.83.0-1.fc34           @commandline        2.1 M
 kf5-kdelibs4support-libs             x86_64        5.83.0-1.fc34           @commandline        798 k
 kf5-kdesu                            x86_64        5.83.0-1.fc34           @commandline         96 k
 kf5-kdewebkit                        x86_64        5.83.0-1.fc34           @commandline         74 k
 kf5-kdnssd                           x86_64        5.83.0-1.fc34           @commandline         95 k
 kf5-kdoctools                        x86_64        5.83.0-2.fc34           @commandline        625 k
 kf5-kemoticons                       x86_64        5.83.0-1.fc34           @commandline        1.8 M
 kf5-kfilemetadata                    x86_64        5.83.0-1.fc34           @commandline        222 k
 kf5-kglobalaccel                     x86_64        5.83.0-1.fc34           @commandline         63 k
 kf5-kglobalaccel-libs                x86_64        5.83.0-1.fc34           @commandline        100 k
 kf5-kguiaddons                       x86_64        5.83.0-1.fc34           @commandline         88 k
 kf5-kholidays                        x86_64        1:5.83.0-1.fc34         @commandline        263 k
 kf5-khtml                            x86_64        5.83.0-1.fc34           @commandline        2.6 M
 kf5-ki18n                            x86_64        5.83.0-1.fc34           @commandline        1.3 M
 kf5-kiconthemes                      x86_64        5.83.0-1.fc34           @commandline        176 k
 kf5-kidletime                        x86_64        5.83.0-1.fc34           @commandline         56 k
 kf5-kimageformats                    x86_64        5.83.0-1.fc34           @commandline        166 k
 kf5-kinit                            x86_64        5.83.0-1.fc34           @commandline        178 k
 kf5-kio-core                         x86_64        5.83.0-2.fc34           @commandline        582 k
 kf5-kio-core-libs                    x86_64        5.83.0-2.fc34           @commandline        460 k
 kf5-kio-doc                          noarch        5.83.0-2.fc34           @commandline        2.4 M
 kf5-kio-file-widgets                 x86_64        5.83.0-2.fc34           @commandline        298 k
 kf5-kio-gui                          x86_64        5.83.0-2.fc34           @commandline         84 k
 kf5-kio-ntlm                         x86_64        5.83.0-2.fc34           @commandline         22 k
 kf5-kio-widgets                      x86_64        5.83.0-2.fc34           @commandline        248 k
 kf5-kio-widgets-libs                 x86_64        5.83.0-2.fc34           @commandline        411 k
 kf5-kirigami2                        x86_64        5.83.0-1.fc34           @commandline        380 k
 kf5-kitemmodels                      x86_64        5.83.0-1.fc34           @commandline        137 k
 kf5-kitemviews                       x86_64        5.83.0-1.fc34           @commandline        127 k
 kf5-kjobwidgets                      x86_64        5.83.0-1.fc34           @commandline        125 k
 kf5-kjs                              x86_64        5.83.0-1.fc34           @commandline        329 k
 kf5-knewstuff                        x86_64        5.83.0-1.fc34           @commandline        852 k
 kf5-knotifications                   x86_64        5.83.0-1.fc34           @commandline        153 k
 kf5-knotifyconfig                    x86_64        5.83.0-1.fc34           @commandline        110 k
 kf5-kpackage                         x86_64        5.83.0-1.fc34           @commandline        206 k
 kf5-kparts                           x86_64        5.83.0-1.fc34           @commandline        220 k
 kf5-kpeople                          x86_64        5.83.0-1.fc34           @commandline        142 k
 kf5-kplotting                        x86_64        5.83.0-1.fc34           @commandline         54 k
 kf5-kpty                             x86_64        5.83.0-1.fc34           @commandline         73 k
 kf5-kquickcharts                     x86_64        5.83.0-1.fc34           @commandline        146 k
 kf5-kross-core                       x86_64        5.83.0-1.fc34           @commandline        301 k
 kf5-krunner                          x86_64        5.83.0-1.fc34           @commandline        111 k
 kf5-kservice                         x86_64        5.83.0-1.fc34           @commandline        344 k
 kf5-ktexteditor                      x86_64        5.83.0-1.fc34           @commandline        2.5 M
 kf5-ktextwidgets                     x86_64        5.83.0-1.fc34           @commandline        322 k
 kf5-kunitconversion                  x86_64        5.83.0-1.fc34           @commandline        915 k
 kf5-kwallet                          x86_64        5.83.0-1.fc34           @commandline        325 k
 kf5-kwallet-libs                     x86_64        5.83.0-1.fc34           @commandline         94 k
 kf5-kwayland                         x86_64        5.83.0-1.fc34           @commandline        515 k
 kf5-kwidgetsaddons                   x86_64        5.83.0-1.fc34           @commandline        1.6 M
 kf5-kwindowsystem                    x86_64        5.83.0-1.fc34           @commandline        188 k
 kf5-kxmlgui                          x86_64        5.83.0-1.fc34           @commandline        671 k
 kf5-kxmlrpcclient                    x86_64        5.83.0-1.fc34           @commandline         71 k
 kf5-modemmanager-qt                  x86_64        5.83.0-1.fc34           @commandline        165 k
 kf5-networkmanager-qt                x86_64        5.83.0-1.fc34           @commandline        349 k
 kf5-plasma                           x86_64        5.83.0-1.fc34           @commandline        3.1 M
 kf5-prison                           x86_64        5.83.0-1.fc34           @commandline         49 k
 kf5-purpose                          x86_64        5.83.0-1.fc34           @commandline        424 k
 kf5-solid                            x86_64        5.83.0-1.fc34           @commandline        393 k
 kf5-sonnet-core                      x86_64        5.83.0-1.fc34           @commandline        166 k
 kf5-sonnet-ui                        x86_64        5.83.0-1.fc34           @commandline        163 k
 kf5-syndication                      x86_64        1:5.83.0-1.fc34         @commandline        190 k
 kf5-syntax-highlighting              x86_64        5.83.0-1.fc34           @commandline        1.5 M
 kf5-threadweaver                     x86_64        5.83.0-1.fc34           @commandline         72 k
 khotkeys                             x86_64        5.22.1-1.fc34           @commandline        2.0 M
 kinfocenter                          x86_64        5.22.1-1.fc34           @commandline        1.6 M
 kmenuedit                            x86_64        5.22.1-1.fc34           @commandline        1.1 M
 kscreen                              x86_64        1:5.22.1-1.fc34         @commandline        251 k
 kscreenlocker                        x86_64        5.22.1-1.fc34           @commandline        224 k
 ksshaskpass                          x86_64        5.22.1-1.fc34           @commandline         48 k
 kwayland-integration                 x86_64        5.22.1-1.fc34           @commandline         60 k
 kwayland-server                      x86_64        5.22.1-1.fc34           @commandline        374 k
 kwin                                 x86_64        5.22.1-1.fc34           @commandline         12 k
 kwin-common                          x86_64        5.22.1-1.fc34           @commandline        2.6 M
 kwin-libs                            x86_64        5.22.1-1.fc34           @commandline        1.6 M
 kwin-wayland                         x86_64        5.22.1-1.fc34           @commandline        474 k
 kwin-x11                             x86_64        5.22.1-1.fc34           @commandline        148 k
 kwrited                              x86_64        5.22.1-1.fc34           @commandline         34 k
 libkscreen-qt5                       x86_64        5.22.1-1.fc34           @commandline        246 k
 oxygen-sound-theme                   noarch        5.22.1-1.fc34           @commandline        1.7 M
 pam-kwallet                          x86_64        5.22.1-1.fc34           @commandline         22 k
 plasma-breeze                        x86_64        5.22.1-1.fc34           @commandline        930 k
 plasma-breeze-common                 noarch        5.22.1-1.fc34           @commandline         30 M
 plasma-browser-integration           x86_64        5.22.1-1.fc34           @commandline        224 k
 plasma-desktop-doc                   noarch        5.22.1-1.fc34           @commandline        4.7 M
 plasma-disks                         x86_64        5.22.1-1.fc34           @commandline        147 k
 plasma-drkonqi                       x86_64        5.22.1-1.fc34           @commandline        861 k
 plasma-milou                         x86_64        5.22.1-1.fc34           @commandline        111 k
 plasma-nm                            x86_64        5.22.1-1.fc34           @commandline        933 k
 plasma-nm-l2tp                       x86_64        5.22.1-1.fc34           @commandline        122 k
 plasma-nm-openswan                   x86_64        5.22.1-1.fc34           @commandline         50 k
 plasma-nm-openvpn                    x86_64        5.22.1-1.fc34           @commandline        206 k
 plasma-nm-vpnc                       x86_64        5.22.1-1.fc34           @commandline        105 k
 plasma-pa                            x86_64        5.22.1-1.fc34           @commandline        287 k
 plasma-systemmonitor                 x86_64        5.22.1-1.fc34           @commandline        251 k
 polkit-kde                           x86_64        5.22.1-1.fc34           @commandline         87 k
 qqc2-desktop-style                   x86_64        5.83.0-1.fc34           @commandline        111 k
 sddm-kcm                             x86_64        5.22.1-1.fc34           @commandline        129 k
 xdg-desktop-portal-kde               x86_64        5.22.1-1.fc34           @commandline        226 k
Installing dependencies:
 layer-shell-qt                       x86_64        5.22.1-1.fc34           @commandline         33 k
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 libksysguard                         x86_64        5.22.1-1.fc34           @commandline        1.1 M

Transaction Summary
======================================================================================================
Install    1 Package
Upgrade  137 Packages
Skip       1 Package

I ran sudo dnf upgrade *rpm --best --allowerasing 158 packages were going to be updated and 2 installed versus 137 updated and 1 installed without --best --allowerasing

Version-Release number of selected component (if applicable):
libksysguard-5.22.1-1.fc34.x86_64 
ksysguard-backend-5.21.5-1.fc34.x86_64

How reproducible:
The errors happened 2/2 times

Steps to Reproduce:
1. Boot a Fedora 34 KDE Plasma installation updated to 2021-6-16 with updates-testing enabled
2. Log in to Plasma 5.21.5 on Wayland
3. start konsole
4. bodhi updates download --updateid=FEDORA-2021-dcc1ce9423
5. sudo dnf upgrade *rpm

Actual results:
dnf reported an error that libksysguard-5.22.1-1.fc34.x86_64 conflicts with ksysguard-backend < 5.21.90 provided by ksysguard-backend-5.21.5-1.fc34.x86_64.

Expected results:
No error would happen.

Additional info:

ksysguard-5.22.0-2.fc34 doesn't contain ksysguard-backend https://koji.fedoraproject.org/koji/buildinfo?buildID=1772605

ksysguard-backend < 5.21.90-2 was obsoleted with a provides in https://src.fedoraproject.org/rpms/ksysguard/c/b3df63abc1e2cc692e16344b13db4fcf5c000080?branch=f34
+ Obsoletes: ksysguard-backend < 5.21.90-2
+ Provides:  ksysguard-backend = %{version}-%{release}

That change doesn't seem to be enough to remove 
ksysguard-backend without --best --allowerasing

Comment 1 Matt Fagnani 2021-06-17 18:19:55 UTC
The changes in https://src.fedoraproject.org/rpms/ksysguard/c/b3df63abc1e2cc692e16344b13db4fcf5c000080?branch=f34 look like they put the obsoletes and provides lines in the %description section of ksysguard.spec. ksysguard-5.22.0-2.fc34 doesn't obsolete ksysguard-backend < 5.21.90-2 and provide ksysguard-backend = %{version}-%{release} as a result https://koji.fedoraproject.org/koji/rpminfo?rpmID=26567885

Comment 2 Rex Dieter 2021-06-18 16:38:26 UTC
Thanks for the hint!

should be fixed better in ksysguard-5.22.0-4

%changelog
* Thu Jun 17 2021 Rex Dieter <rdieter@fedoraproject.org> - 5.22.0-4
- move %%description (to help fix Obsoletes)

Comment 3 Fedora Update System 2021-06-18 21:17:41 UTC
FEDORA-2021-dcc1ce9423 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-dcc1ce9423

Comment 4 Fedora Update System 2021-06-21 18:53:57 UTC
FEDORA-2021-dcc1ce9423 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-dcc1ce9423

Comment 5 Fedora Update System 2021-06-22 01:04:27 UTC
FEDORA-2021-dcc1ce9423 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-dcc1ce9423`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-dcc1ce9423

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-06-23 01:07:50 UTC
FEDORA-2021-dcc1ce9423 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.